dpkg-query(1)

NOM
dpkg-query - Un outil pour interroger la base de données de dpkg

SYNOPSIS
dpkg-query -l|--list nom-paquet-motif ...
dpkg-query -W|--show nom-paquet-motif ...
dpkg-query -s|--status nom-paquet ...
dpkg-query -L|--listfiles nom-paquet ...
dpkg-query -S|--search motif-de-recherche ...
dpkg-query -p|--print-avail nom-paquet ...
dpkg-query --licence|--license
dpkg-query --version

DESCRIPTION
dpkg-query est un outil pour afficher des informations sur les paquets connus par la base de données de dpkg.

COMMANDES

-l | --list nom-paquet-motif ...
    Liste les paquets correspondants au motif donné. Quand on ne donne aucun nom-paquet-motif, tous les paquets listés dans /var/lib/dpkg/status sont affichés, sauf ceux dont l'état est « purge ». Les métacaractères ordinaires de l'interpréteur de commandes sont autorisés dans nom-paquet-motif. Il faudra sans doute mettre nom-paquet-motif entre apostrophes pour éviter l'expansion des noms de fichier par l'interpréteur de commandes. Par exemple, tous les paquets dont le nom commence par « libc6 » seront affichés par la commande :
    dpkg-query -l 'libc6*'
    On ne peut pas configurer le format de sortie de cette option. Il s'adapte automatiquement à la largeur du terminal. Ce format est destiné aux humains et la machine le lit mal. Voyez -W (--show) et --showformat pour une possible configuration de ce format.

-W | --show nom-paquet-motif...
    Tout comme l'option --list, cette option affiche la liste des paquets qui correspondent au motif donné. La sortie peut cependant être formatée en utilisant l'option --showformat. Le format de sortie par défaut est le suivant : une ligne pour chaque paquet, avec le nom et la version installée, séparé par une tabulation.

-s | --status nom-paquet ...
    Donne l'état du paquet indiqué. C'est simplement l'affichage de l'entrée de la base de données concernant les états des paquets installés.

-L | --listfiles paquet ...
    Affiche la liste des fichiers de paquet installés sur le système. Il faut remarquer cependant que les fichiers créés par les scripts d'installation particuliers au paquet ne sont pas affichés.

-S | --search motif-de-recherche ...
    Recherche un nom de fichier dans les paquets installés. On peut utiliser dans le motif tous les métacaractères de l'interpréteur de commandes. Cette commande ne donne pas les fichiers supplémentaires créés par les scripts du responsable de paquet, ni les alternatives.

-p |--print-avail paquet
    Affiche des renseignements détaillés sur paquet, tels qu'ils sont trouvés dans le fichier /var/lib/dpkg/available.

--licence | --license
    Affiche des renseignements sur la licence et le copyright.

--version
    Affiche des renseignements sur la version.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

-f | --showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. Dans la chaîne, “\” déspécifie le caractère
        \n  nouvelle ligne
        \r  retour chariot
        \t  tabulation
    “\” avant un caractère supprime la signification du caractère qui suit. C'est utile pour les caractères “\” and “$”. On peut indiquer un paquet en insérant des appels de variables spécifiant des champs du paquet avec la syntaxe suivante : “${field[;width]}”. Les champs sont alignés à droite, à moins que la largeur ne soit négative, auquel cas ils sont alignés à gauche. Les champs suivants sont reconnus :
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Depends
        Description
        Enhances
        Essential
        Filename
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status"
        Suggests
        Version
    Le format par défaut est le suivant : “${Paquet}\t${Version}\n”. Tous les autres champs du fichier status, par exemple des champs définis par l'utilisateur, peuvent être demandés. Ils seront affichés mais sans aucune mise en forme et aucune vérification n'est faite. Pour obtenir le nom du responsable de dpkg et la version installée, exécutez par exemple :
    dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ENVIRONNEMENT

COLUMNS
    Fixer le nombre de colonnes influence la sortie de l'option --list en modifiant la largeur d'affichage.

AUTEUR
Copyright 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

VOIR AUSSI
dpkg(1).

TRADUCTION
Philippe Batailler, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.